org.apache.struts2.views.velocity.components

## Class I18nDirective

- java.lang.Object
- - org.apache.velocity.runtime.directive.Directive
  - - org.apache.struts2.views.velocity.components.AbstractDirective
    - - org.apache.struts2.views.velocity.components.I18nDirective

- All Implemented Interfaces:
    Cloneable, org.apache.velocity.runtime.directive.DirectiveConstants

      public class I18nDirective
      extends AbstractDirective

  See Also:
    `I18n`

- - ### Field Summary

    - ### Fields inherited from class org.apache.velocity.runtime.directive.Directive

      `rsvc`

    - ### Fields inherited from interface org.apache.velocity.runtime.directive.DirectiveConstants

      `BLOCK, LINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `I18nDirective()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Component` | `getBean(ValueStack stack, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
    `String` | `getBeanName()`

    - ### Methods inherited from class org.apache.struts2.views.velocity.components.AbstractDirective

      `createPropertyMap, getName, getType, putProperty, render`

    - ### Methods inherited from class org.apache.velocity.runtime.directive.Directive

      `getColumn, getLine, getScopeName, getTemplateName, init, isScopeProvided, makeScope, postRender, preRender, setLocation, setLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### I18nDirective

          public I18nDirective()

  - ### Method Detail

    - #### getBeanName

          public String getBeanName()

      Specified by:
        `getBeanName` in class `AbstractDirective`

    - #### getBean

          protected Component getBean(ValueStack stack,
                          javax.servlet.http.HttpServletRequest req,
                          javax.servlet.http.HttpServletResponse res)

      Specified by:
        `getBean` in class `AbstractDirective`

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.